
<ion-header>

  <ion-navbar>
    <ion-title>Add a Place</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>

  <form
    #f="ngForm"
    (ngSubmit)="onSubmit(f)">
    <ion-list>
      <ion-item>
        <ion-label fixed>
          Title
        </ion-label>
        <ion-input
          ngModel
          type="text"
          placeholder="Beautiful church..."
          name="title"
          required>
        </ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>
          Short Description
        </ion-label>
        <ion-textarea
          ngModel
          name="description"
          required>
        </ion-textarea>
      </ion-item>
    </ion-list>
    <ion-grid>
      <ion-row>
        <ion-col>
          <button
            (click)="onLocate()"
            ion-button
            block
            outline
            type="button"
            icon-left>
            <ion-icon name="locate"></ion-icon>
              Locate me
          </button>
        </ion-col>
        <ion-col>
          <button
            (click)="onOpenMap()"
            ion-button
            block
            outline
            type="button"
            icon-left>
            <ion-icon name="map"></ion-icon>
              Select on Map
          </button>
        </ion-col>
      </ion-row>
      <ion-row
        *ngIf="locationIsSet">
        <ion-col>
          <agm-map
            [latitude]="location.lat"
            [longitude]="location.lng"
            [zoom]="16">
            <agm-marker
              [latitude]="location.lat"
              [longitude]="location.lng">
            </agm-marker>
          </agm-map>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col text-center>
          <h5>
            Take a Photo
          </h5>
        </ion-col>
      </ion-row>
       <ion-row>
        <ion-col text-center>
          <button
            (click)="onTakePhoto()"
            ion-button
            icon-left
            block
            outline
            type="button">
            <ion-icon name="camera"></ion-icon>
            Open Camera
          </button>
        </ion-col>
      </ion-row>
      <ion-row *ngIf="imageUrl != ''">
        <ion-col>
          <img [src]="imageUrl">
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <button
            [disabled]="!f.valid || !locationIsSet || imageUrl == ''"
            ion-button
            color="secondary"
            block
            type="submit">
              Add this Place
          </button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>
